Debian Bug report logs - #608225
Please provide <Directory>-Block in /etc/w3c/w3c-markup-validator-apache2.conf

version graph

Package: w3c-markup-validator; Maintainer for w3c-markup-validator is Nicholas Bamber <nicholas@periapt.co.uk>; Source for w3c-markup-validator is src:w3c-markup-validator.

Reported by: Daniel Reichelt <debian@nachtgeist.net>

Date: Tue, 28 Dec 2010 22:03:02 UTC

Severity: normal

Tags: confirmed

Found in version w3c-markup-validator/0.7.4-5.2

Fixed in version w3c-markup-validator/1.2+dfsg-1

Done: jaldhar@debian.org (Jaldhar H. Vyas)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@nachtgeist.net, Frederic Schutz <schutz@mathgen.ch>:
Bug#608225; Package w3c-markup-validator. (Tue, 28 Dec 2010 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@nachtgeist.net>:
New Bug report received and forwarded. Copy sent to debian@nachtgeist.net, Frederic Schutz <schutz@mathgen.ch>. (Tue, 28 Dec 2010 22:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@nachtgeist.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please provide <Directory>-Block in /etc/w3c/w3c-markup-validator-apache2.conf
Date: Tue, 28 Dec 2010 23:00:36 +0100
Package: w3c-markup-validator
Version: 0.7.4-5.2
Severity: normal

Hi all,

suppose someone has an apache2 config block like
<Directory />
order allow,deny
deny from all
</Directory>

Now the symlinked config of this package doesn't override that. Could you
please add something like

<Directory /usr/share/w3c-markup-validator/html/>
	Order allow,deny
	allow from all
</Directory>

like e.g. phpmyadmin or phpldapadmin do?
Thanks,

Daniel


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35.7-1-amd64-dhr (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF8, LC_CTYPE=en_US.UTF8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages w3c-markup-validator depends on:
ii  apache2-mpm-itk [httpd]       2.2.16-4   multiuser MPM for Apache 2.2
ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
ii  libconfig-general-perl        2.48-1     Generic Configuration Module
ii  libhtml-parser-perl           3.66-1     collection of modules that parse H
ii  libhtml-template-perl         2.9-2      module for using HTML Templates wi
ii  libnet-ip-perl                1.25-2     Perl extension for manipulating IP
ii  libset-intspan-perl           1.14-1     Perl module to manage sets of inte
ii  libtext-iconv-perl            1.7-2      converts between character sets in
ii  liburi-perl                   1.54-2     module to manipulate and access UR
ii  libwww-perl                   5.836-1    Perl HTTP/WWW client/server librar
ii  opensp                        1.5.2-8    OpenJade group's SGML parsing tool
ii  perl                          5.10.1-16  Larry Wall's Practical Extraction 
ii  sgml-data                     2.0.4      common SGML and XML data
ii  w3c-dtd-xhtml                 1.1-5      W3C eXtensible HyperText Markup La
ii  wwwconfig-common              0.2.1      Debian web auto configuration

Versions of packages w3c-markup-validator recommends:
ii  w3-dtd-mathml                 2.0.0.0-1  Mathematical Markup Language V2.0 

w3c-markup-validator suggests no packages.

-- debconf information:
  w3c-markup-validator/webserver: Apache2




Added tag(s) confirmed. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 Mar 2011 10:48:25 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 Mar 2011 10:48:26 GMT) Full text and rfc822 format available.

Reply sent to jaldhar@debian.org (Jaldhar H. Vyas):
You have taken responsibility. (Fri, 18 Mar 2011 06:36:06 GMT) Full text and rfc822 format available.

Notification sent to Daniel Reichelt <debian@nachtgeist.net>:
Bug acknowledged by developer. (Fri, 18 Mar 2011 06:36:06 GMT) Full text and rfc822 format available.

Message #14 received at 608225-close@bugs.debian.org (full text, mbox):

From: jaldhar@debian.org (Jaldhar H. Vyas)
To: 608225-close@bugs.debian.org
Subject: Bug#608225: fixed in w3c-markup-validator 1.2+dfsg-1
Date: Fri, 18 Mar 2011 06:32:10 +0000
Source: w3c-markup-validator
Source-Version: 1.2+dfsg-1

We believe that the bug you reported is fixed in the latest version of
w3c-markup-validator, which is due to be installed in the Debian FTP archive:

w3c-markup-validator_1.2+dfsg-1.debian.tar.gz
  to main/w/w3c-markup-validator/w3c-markup-validator_1.2+dfsg-1.debian.tar.gz
w3c-markup-validator_1.2+dfsg-1.dsc
  to main/w/w3c-markup-validator/w3c-markup-validator_1.2+dfsg-1.dsc
w3c-markup-validator_1.2+dfsg-1_all.deb
  to main/w/w3c-markup-validator/w3c-markup-validator_1.2+dfsg-1_all.deb
w3c-markup-validator_1.2+dfsg.orig.tar.gz
  to main/w/w3c-markup-validator/w3c-markup-validator_1.2+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608225@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jaldhar H. Vyas <jaldhar@debian.org> (supplier of updated w3c-markup-validator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Mar 2011 19:02:11 +0000
Source: w3c-markup-validator
Binary: w3c-markup-validator
Architecture: source all
Version: 1.2+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Jaldhar H. Vyas <jaldhar@debian.org>
Description: 
 w3c-markup-validator - W3C Markup Validator
Closes: 608225 618469
Changes: 
 w3c-markup-validator (1.2+dfsg-1) unstable; urgency=low
 .
   * New upstream release
   * Reviewed and refreshed patches
   * Simplified rules and compressed files as required by upstream
     to support content negotiation (Closes: #618469)
   * Moved test files to the examples directory
   * Reviewed dependencies
   * Disabled mod_perl support (cf. #618416)
   * Refreshed copyright
   * Refreshed lintian overrides
   * Add apache config ensuring directory access (Closes: #608225)
   * Change rules to rebuild htdocs/scripts/combined.js
   * Added Suggests clause and reviewed the long description
   * Added example perl script that uses WebService::Validator::HTML::W3C
   * Removed non-DFSG files (and files that will be rebuilt anyway)
Checksums-Sha1: 
 8e5aeef41cd6643ef13bef1d33a67a86dfe0aed4 1514 w3c-markup-validator_1.2+dfsg-1.dsc
 39518326bac56a55b0871ce4be5402e8bb76a37c 2385520 w3c-markup-validator_1.2+dfsg.orig.tar.gz
 5ffffcd899e7ede3da1a5923ee6f1cc97baf0ff3 23745 w3c-markup-validator_1.2+dfsg-1.debian.tar.gz
 142c19188daa4edcf17b020c390a303cb42d78cb 2473218 w3c-markup-validator_1.2+dfsg-1_all.deb
Checksums-Sha256: 
 cfcd47299830807b714693a8c0f43991e98f3df473b7cb874caddc4e905ab552 1514 w3c-markup-validator_1.2+dfsg-1.dsc
 c0c91cdaff7f59454c14c579afae7d1ae0447ec766583d042fec46c5582e6fa9 2385520 w3c-markup-validator_1.2+dfsg.orig.tar.gz
 62c4770dc751d2a8e1a668689f6fffcb848d2d405b6672cfe1de6be8708892ff 23745 w3c-markup-validator_1.2+dfsg-1.debian.tar.gz
 2cc39ece471133bcd80f72316ee05a01add879eaab65a486e2ca6b453d1f9bec 2473218 w3c-markup-validator_1.2+dfsg-1_all.deb
Files: 
 e0c4438d95cb056473f3aac5640913a4 1514 web optional w3c-markup-validator_1.2+dfsg-1.dsc
 be239504510e2a0ca7b822b05896b4d1 2385520 web optional w3c-markup-validator_1.2+dfsg.orig.tar.gz
 7bbfa7c27a6dad161c200520268aebe3 23745 web optional w3c-markup-validator_1.2+dfsg-1.debian.tar.gz
 98c7bea3f95b8c1f526f0cdf38564cde 2473218 web optional w3c-markup-validator_1.2+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2C+ScACgkQ2kYOR+5txmq9owCdG+2V6aBkuID85fEp4rcFeuo+
XpIAn0nK0tqfCw2esioa8nSnp4Ev5qz6
=PUgy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:55:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:03:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.